org.apache.solr.client.solrj.cloud.autoscaling

## Enum PolicyHelper.Status

- java.lang.Object
- - java.lang.Enum<PolicyHelper.Status>
  - - org.apache.solr.client.solrj.cloud.autoscaling.PolicyHelper.Status

All Implemented Interfaces:
  Serializable, Comparable<PolicyHelper.Status>

Enclosing class:
  PolicyHelper

    public static enum PolicyHelper.Status
    extends Enum<PolicyHelper.Status>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPUTING` A command is actively using and modifying the session to compute placements
`EXECUTING` A command is not done yet processing its changes but no longer updates or even uses the session

### Method Summary

All Methods Static Methods Concrete Methods
`static PolicyHelper.Status` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PolicyHelper.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMPUTING

    public static final PolicyHelper.Status COMPUTING

A command is actively using and modifying the session to compute placements

#### EXECUTING

    public static final PolicyHelper.Status EXECUTING

A command is not done yet processing its changes but no longer updates or even uses the session

### Method Detail

#### values

    public static PolicyHelper.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PolicyHelper.Status c : PolicyHelper.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PolicyHelper.Status valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null